module.exports = {
  create: {
    requestBody: [
      "name",
      "!mobile",
      "!passwd",
      "openid",
      "appopenid",
      "unionid",
      "remark",
      "type",
      "uid",
      "status",
      'type'
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "mobile",
      "passwd",
      "openid",
      "appopenid",
      "unionid",
      "remark",
      "type",
      "uid",
      "status",
      'type'
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        mobile: "mobile",
        type: "type",
        openid: "openid",
        appopenid: "appopenid",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  appbind: {
    requestBody: ["name", "mobile", "appopenid"],
  },
};
