'use strict';

const _ = require('lodash');
const Controller = require('egg').Controller;
const meta = require('./.task.js');
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 作业管理
class TaskController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.task;
  }

  async export() {
    const res = await this.service.toExport(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }
}

module.exports = CrudController(TaskController, meta);
